#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}

%{expand:%%define apache_version %(rpm -q apache-devel|sed 's/apache-devel-\([0-9].*\)-.*$/\1/')}
%{expand:%%define apache_release %(rpm -q apache-devel|sed 's/apache-devel-[0-9].*-\(.*\)$/\1/')}

%{expand:%%define mm_major %(mm-config --version|sed 's/MM \([0-9]\)\.\([0-9.].*\) \(.*\)$/\1/')}
%{expand:%%define mm_minor %(mm-config --version|sed 's/MM \([0-9]\)\.\([0-9.].*\) \(.*\)$/\2/')}
%define mm_version %{mm_major}.%{mm_minor}

%define name mod_gzip
%define version 1.3.26.1a
%define release 3mdk

Summary: Gzip compression module for apache
Name: %{name}
Version: %{version}
Release: %{release}
Group: System/Servers
URL: http://www.remotecommunications.com/apache/%{name}
Source0: http://belnet.dl.sourceforge.net/sourceforge/mod-gzip/%{name}-%{version}.tar.bz2
Source1: mod_gzip.html
Source2: mod_gzip.conf
Source3: changes.txt.mod_gzip
License: Apache License
Prereq: apache = %{apache_version}
Prereq:	apache-common >= %{apache_version}
Prereq:	apache-conf >= %{apache_version}
Prereq: mm = %{mm_major}.%{mm_minor}
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: ADVX-build >= 1.2
BuildRequires: apache-devel 
BuildRequires: zlib-devel
Provides: 	ADVXpackage
Provides:	AP13package

%description
mod_gzip is an Internet Content Acceleration module for the popular Apache
Web Server. 

mod_gzip is being offered free to the public by HyperSpace Communications,
Inc. 

There are no forms to fill out, no demographic information required, no
emails to wait for and no runtime passwords. All you have to do is download
the right version for your platform ( See below ). It is a complete working
version of the product fully tested and ready to fulfill your Internet
Acceleration needs.

mod_gzip uses the well established and publicly available IETF ( Internet
Engineering Task Force ) Content-Encoding standards in conjunction with
publicy available GZIP compression libraries such as ZLIB ( Copyright 
1995-1998 Jean-loup Gailly and Mark Adler ) to deliver dynamically
compressed content 'on the fly' to any browser or user-agent that is capable
of receiving it. It is a software based solution that runs perfectly in
conjunction with any Apache Web Server on both UNIX and Win32 platforms.

No additional client side software is required to use this product. 

mod_gzip does not require ANY software to be installed on the client side.
There is no accompanying 'Plug-in' or 'Client Proxy' of any kind. All you
need is your current HTTP 1.1 compliant browser. All modern browsers
released since early 1999 are already capable of receiving compressed
Internet content via standard IETF Content Encoding if they are HTTP 1.1
compliant.

If standard IETF Content Encoding is what you need to accelerate your Apache
Web Server, reduce your CPU load, and deliver 75-80 percent less data with
no loss of content to your users at all times then look no farther. HSC's
mod_gzip is all that you need. 

mod_gzip is available for all Windows and UNIX based platforms supported by
the Apache Web Server 


%prep
%setup
%build
export APXS=/usr/sbin/apxs
%make

%install

rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/apache-extramodules
install -m 755 mod_gzip.so \
	%{buildroot}%{_libdir}/apache-extramodules

mkdir -p %{buildroot}%{ap_webdoc}
cp %{SOURCE1} %{buildroot}%{ap_webdoc}

mkdir -p %{buildroot}%{ap_base}/conf
cp %{SOURCE2} %{buildroot}%{ap_base}/conf

cp %{SOURCE3} ./changes.txt

%pre
#Check config file sanity
%AP13pre

%post
if [ $1 = "1" ]; then 
   #We're in Install mode, add module to the config files
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_gzip.so mod_gzip.c gzip_module \
	define=HAVE_GZIP addconf=conf/mod_gzip.conf
     fi
   done
   %ADVXpost
fi

if [ $1 -gt 1 ]; then 
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again 
   #in a way that the older module we're replacing won't try to erase (the 
   #post scripts were broken on some packages), and finally clean the module
   #specific config file so it's compatible with the upgrade.
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_gzip.so mod_gzip.c gzip_module \
	define=HAVE_GZIP addconf=conf/mod_gzip.conf
	$config
     fi
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_gzip.so mod_gzip.c gzip_module \
	define=HAVE_GZIP addconf=conf/mod_gzip.conf 
     fi
   done
   %ADVXpost
fi

%postun
if [ $1 = "0" ]; then 
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_gzip.so mod_gzip.c gzip_module \
	define=HAVE_GZIP addconf=conf/mod_gzip.conf
     fi
   done
   %ADVXpost
fi

%files
%defattr(-,root,root)
%doc changes.txt
%{ap_webdoc}/*
%{_libdir}/apache-extramodules/mod_gzip.so
%config(noreplace) %{ap_base}/conf/mod_gzip.conf

%clean
rm -rf %{buildroot}

%changelog
* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.26.1a-3mdk
- new macros from ADVX-build

* Tue Jan 14 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.26.1a-2mdk
- 1.3.26.1a (now for real)
- use %%setup and %%make
- mod_gzip.conf: set "mod_gzip_send_vary Off" MSIE implementation
  of the vary header is broken.

* Sat Jan 11 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.26.1a-1mdk
- 1.3.26.1a

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19.1a-15mdk
- rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19.1a-14mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19.1a-13mdk
- Rebuild with new apache

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.3.19.1a-12mdk
- rebuild (so that it builds with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
  => fix segfault

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.19.1a-11mdk
- rebuild against new apache.

* Sat May 18 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.19.1a-10mdk
- build with gcc 3.1.
- macroize a little more.
- remove macros in BuildRequires.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.19.1a-9mdk
- Apache 1.3.24.

* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19.1a-8mdk
- Tested with all mod_* to be sure there is no problem

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.19.1a-7mdk
- Rebuild against latest apache.

* Thu Nov 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.19.1a-6mdk
- rebuild to fix invalid-packager warning (rpmlint)

* Thu Oct 18 2001 Stefan van der Eijk <stefan@eijk.nu> 1.3.19.1a-5mdk
- BuildRequires: zlib-devel

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.19.1a-4mdk
- apache 1.3.22.

* Thu Oct 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.19.1a-3mdk
- specify the config file
- make rpmlint happier

* Thu Jul 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.19.1a-2mdk
- new apache

* Mon Apr 16 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19.1a-1mdk
- Created this RPM since a lot of people want it, and that Gael gave up ;-)

